local Recount2 = Recount2
local FontStrings={}
local FontFile
local SM = LibStub:GetLibrary("LibSharedMedia-3.0")

--First thing first need to add fonts
SM:Register("font", "ABF",		[[Interface\AddOns\Recount\Fonts\ABF.ttf]])

function Recount2:AddFontString(string)
	local Font, Height, Flags

	FontStrings[#FontStrings+1]=string

	if not FontFile  then
		FontFile=SM:Fetch("font", "ABF")
	end

	if FontFile then
		Font, Height, Flags = string:GetFont()
		if Font~=FontFile then
			string:SetFont(FontFile, Height, Flags)
		end
	end
end

function Recount2:SetFont(fontname)
	local Height, Flags

	Recount2.font = fontname
	FontFile=SM:Fetch("font",fontname)

	for _, v in pairs(FontStrings) do
		_, Height, Flags = v:GetFont()
		v:SetFont(FontFile, Height, Flags)
	end
end
--Recount2:CreateListFrame(name, parent, width, height, rowHeight, rowSpacing)